org.richfaces.fragment.tooltip

## Interface Tooltip<CONTENT>

- Type Parameters:
    `CONTENT` -
  All Known Implementing Classes:
    RichFacesTooltip, TextualRichFacesTooltip

      public interface Tooltip<CONTENT>

  Author:
    Jiri Stefek

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CONTENT` | `getContent()` Gets the object representing the content of the tooltip.
    `Tooltip<CONTENT>` | `hide()` Dismiss the tooltip, which is found by injected root element to his component.
    `Tooltip<CONTENT>` | `hide(org.openqa.selenium.WebElement target)` Dismiss the tooltip over the given `target`.
    `Tooltip<CONTENT>` | `show()` Invokes the tooltip over an element, which is found by injected root element to his component.
    `Tooltip<CONTENT>` | `show(org.openqa.selenium.WebElement target)` Invokes the tooltip over the given `target`.

- - ### Method Detail

    - #### show

          Tooltip<CONTENT> show()

      Invokes the tooltip over an element, which is found by injected root element to his component. Note that, invoking of the tooltip should be rather by implicit action (for example hover of the mouse over some element), than this explicit call.
      Returns:
        tooltip itself

    - #### show

          Tooltip<CONTENT> show(org.openqa.selenium.WebElement target)

      Invokes the tooltip over the given `target`. Note that, invoking of the tooltip should be rather by implicit action (for example hover of the mouse over some element), than this explicit call.
      Parameters:
        `target` - the element on which the tooltip will be invoked
      Returns:
        tooltip itself

    - #### hide

          Tooltip<CONTENT> hide()

      Dismiss the tooltip, which is found by injected root element to his component. Note that, hiding of the tooltip should be rather by implicit action (for example hover of the mouse out from some element), than this explicit call.
      Returns:
        tooltip itself

    - #### hide

          Tooltip<CONTENT> hide(org.openqa.selenium.WebElement target)

      Dismiss the tooltip over the given `target`. Note that, hiding of the tooltip should be rather by implicit action (for example hover of the mouse out from some element), than this explicit call.
      Returns:
        tooltip itself

    - #### getContent

          CONTENT getContent()

      Gets the object representing the content of the tooltip.
      Returns:
        initialized page object with the content of this tooltip
      See Also:
        `TextualRichFacesTooltip`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.